Skip to main content
POST
/
api
/
external
/
v1
/
esim
/
purchase
Purchase eSIM
curl --request POST \
  --url https://api.dancity.app/api/external/v1/esim/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "packageCode": "<string>",
  "wallettype": "main",
  "pin": "<string>",
  "customerRef": "<string>",
  "promocode": "<string>",
  "deviceKey": "<string>",
  "saveAsBeneficiary": true,
  "beneficiaryName": "<string>"
}
'

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Headers

channel
string

Body

application/json
packageCode
string
required
wallettype
string
required
Example:

"main"

pin
string
required
customerRef
string
promocode
string
deviceKey
string
saveAsBeneficiary
boolean
beneficiaryName
string

Response

200

OK